-- This file is generated from citeproc-bibtex-data.json by tools/update-bibtex-data.py

return {
  description = "BibTeX CSL mapping",
  types = {
    archival = {
      csl = "collection",
    },
    archive = {
      csl = "collection",
    },
    article = {
      csl = "article-journal",
    },
    artifactdataset = {
      csl = "dataset",
    },
    artifactsoftware = {
      csl = "software",
    },
    artwork = {
      csl = "graphic",
    },
    atlas = {
      csl = nil,
    },
    audio = {
      csl = "song",
    },
    bachelor = {
      csl = "thesis",
    },
    bibnote = {
      csl = nil,
    },
    book = {
      csl = "book",
    },
    bookinbook = {
      csl = "chapter",
    },
    booklet = {
      csl = "pamphlet",
    },
    brochure = {
      csl = "pamphlet",
    },
    cconference = {
      csl = nil,
    },
    collection = {
      csl = "book",
    },
    comment = {
      csl = nil,
    },
    commentary = {
      csl = "book",
    },
    commented = {
      csl = nil,
    },
    conference = {
      csl = "paper-conference",
    },
    ctan = {
      csl = "software",
    },
    customa = {
      csl = nil,
    },
    customb = {
      csl = nil,
    },
    customc = {
      csl = nil,
    },
    customd = {
      csl = nil,
    },
    custome = {
      csl = nil,
    },
    customf = {
      csl = nil,
    },
    database = {
      csl = "dataset",
    },
    dataset = {
      csl = "dataset",
    },
    dictionary = {
      csl = "book",
    },
    docthesis = {
      csl = "thesis",
    },
    electronic = {
      csl = "webpage",
    },
    eulegislation = {
      csl = "legislation",
    },
    footnote = {
      csl = nil,
    },
    game = {
      csl = "software",
    },
    govpub = {
      csl = "regulation",
    },
    habthesis = {
      csl = "thesis",
    },
    heading = {
      csl = nil,
    },
    hidden = {
      csl = nil,
    },
    image = {
      csl = "graphic",
    },
    inbook = {
      csl = "chapter",
    },
    incollection = {
      csl = "chapter",
    },
    inloosecollection = {
      csl = "chapter",
    },
    inpress = {
      csl = "article",
    },
    inproceedings = {
      csl = "paper-conference",
    },
    inreference = {
      csl = "entry",
    },
    inserialcollection = {
      csl = nil,
    },
    internet = {
      csl = "webpage",
    },
    journalpart = {
      csl = nil,
    },
    journals = {
      csl = "periodical",
    },
    jurisdiction = {
      csl = nil,
    },
    jurthesis = {
      csl = "thesis",
    },
    legal = {
      csl = "treaty",
    },
    legislation = {
      csl = "legislation",
    },
    letter = {
      csl = "personal_communication",
    },
    lexicon = {
      csl = "book",
    },
    majorthesis = {
      csl = "thesis",
    },
    manual = {
      csl = "report",
    },
    map = {
      csl = "map",
    },
    mastersthesis = {
      csl = "thesis",
    },
    masterthesis = {
      csl = "thesis",
    },
    minorthesis = {
      csl = "thesis",
    },
    misc = {
      csl = "document",
    },
    monograph = {
      csl = "book",
    },
    monography = {
      csl = "book",
    },
    movie = {
      csl = "motion_picture",
    },
    music = {
      csl = "song",
    },
    mvbook = {
      csl = "book",
    },
    mvcollection = {
      csl = "book",
    },
    mvproceedings = {
      csl = "book",
    },
    mvreference = {
      csl = "book",
    },
    news = {
      csl = "article-newspaper",
    },
    newspaper = {
      csl = "article-newspaper",
    },
    online = {
      csl = "webpage",
    },
    other = {
      csl = nil,
    },
    patent = {
      csl = "patent",
    },
    performance = {
      csl = "performance",
    },
    periodical = {
      csl = "periodical",
    },
    phdthesis = {
      csl = "thesis",
    },
    preamble = {
      csl = nil,
    },
    preprint = {
      csl = "article",
    },
    presentation = {
      csl = "speech",
    },
    proceedings = {
      csl = "book",
    },
    program = {
      csl = "software",
    },
    reference = {
      csl = "book",
    },
    report = {
      csl = "report",
    },
    repository = {
      csl = nil,
    },
    review = {
      csl = "review",
    },
    set = {
      csl = nil,
    },
    setup = {
      csl = nil,
    },
    software = {
      csl = "software",
    },
    standard = {
      csl = "standard",
    },
    string = {
      csl = nil,
    },
    suppbook = {
      csl = "chapter",
    },
    suppcollection = {
      csl = "chapter",
    },
    suppperiodical = {
      csl = "article",
    },
    techreport = {
      csl = "report",
    },
    techstandard = {
      csl = "standard",
    },
    thesis = {
      csl = "thesis",
    },
    uklegislation = {
      csl = "legislation",
    },
    unpublished = {
      csl = "manuscript",
    },
    video = {
      csl = "motion_picture",
    },
    webpage = {
      csl = "webpage",
    },
    website = {
      csl = nil,
    },
    www = {
      csl = "webpage",
    },
    xdata = {
      csl = nil,
    },
  },
  fields = {
    abstract = {
      csl = "abstract",
      type = "literal",
    },
    account = {
      csl = nil,
    },
    acronym = {
      csl = nil,
    },
    add = {
      csl = nil,
    },
    add1 = {
      csl = nil,
    },
    addendum = {
      csl = nil,
      type = "literal",
    },
    address = {
      csl = "publisher-place",
      type = "literal",
    },
    adsurl = {
      csl = nil,
    },
    advisor = {
      csl = nil,
    },
    afterword = {
      csl = nil,
      type = "name",
    },
    annotate = {
      csl = "note",
    },
    annotation = {
      csl = "note",
      type = "literal",
    },
    annotator = {
      csl = nil,
      type = "name",
    },
    annote = {
      csl = "note",
      type = "literal",
    },
    annotelanguage = {
      csl = nil,
    },
    applicant = {
      csl = nil,
    },
    archive = {
      csl = "archive",
    },
    archiveprefix = {
      csl = "archive",
      type = "literal",
    },
    archname = {
      csl = "archive",
    },
    articleno = {
      csl = nil,
    },
    arxiv = {
      csl = nil,
    },
    assignee = {
      csl = nil,
    },
    author = {
      csl = "author",
      type = "name",
    },
    authorcountry = {
      csl = nil,
    },
    authorfa = {
      csl = nil,
    },
    authortype = {
      csl = nil,
      type = "key",
    },
    bibsource = {
      csl = nil,
    },
    biburl = {
      csl = nil,
    },
    binding = {
      csl = nil,
    },
    birthday = {
      csl = nil,
    },
    birthyear = {
      csl = nil,
    },
    bookaddress = {
      csl = nil,
    },
    bookauthor = {
      csl = "container-author",
      type = "name",
    },
    booklanguage = {
      csl = nil,
    },
    bookpages = {
      csl = nil,
    },
    bookpagination = {
      csl = nil,
      type = "key",
    },
    booksubtitle = {
      csl = nil,
      type = "literal",
    },
    booktitle = {
      csl = "container-title",
      type = "literal",
    },
    booktitleaddon = {
      csl = nil,
      type = "literal",
    },
    caption = {
      csl = nil,
    },
    caption1 = {
      csl = nil,
    },
    cartographer = {
      csl = nil,
    },
    casenumber = {
      csl = nil,
    },
    category = {
      csl = nil,
    },
    cellular = {
      csl = nil,
    },
    chair = {
      csl = nil,
    },
    chapter = {
      csl = "chapter-number",
      type = "literal",
    },
    citedate = {
      csl = nil,
    },
    city = {
      csl = nil,
    },
    code = {
      csl = nil,
    },
    coden = {
      csl = nil,
    },
    collaboration = {
      csl = nil,
    },
    collator = {
      csl = nil,
    },
    commentator = {
      csl = nil,
      type = "name",
    },
    commit = {
      csl = nil,
    },
    compiler = {
      csl = nil,
    },
    condition = {
      csl = nil,
    },
    ["conference-location"] = {
      csl = nil,
    },
    ["conference-number"] = {
      csl = nil,
    },
    ["conference-year"] = {
      csl = nil,
    },
    copy = {
      csl = nil,
    },
    country = {
      csl = nil,
    },
    credits = {
      csl = nil,
    },
    crossref = {
      csl = nil,
      type = "entrykey",
    },
    ["ctrl-article-title"] = {
      csl = nil,
    },
    ["ctrl-chapter-title"] = {
      csl = nil,
    },
    ["ctrl-doi"] = {
      csl = nil,
    },
    ["ctrl-etal-firstonly"] = {
      csl = nil,
    },
    ["ctrl-etal-number"] = {
      csl = nil,
    },
    ["ctrl-link-doi"] = {
      csl = nil,
    },
    ["ctrl-use-doi-all"] = {
      csl = nil,
    },
    ["ctrl-use-title"] = {
      csl = nil,
    },
    dataset = {
      csl = nil,
    },
    date = {
      csl = "issued",
      type = "date",
    },
    day = {
      csl = nil,
    },
    dayfiled = {
      csl = nil,
    },
    definition = {
      csl = nil,
    },
    department = {
      csl = nil,
    },
    description = {
      csl = nil,
    },
    designator = {
      csl = nil,
    },
    dimensions = {
      csl = nil,
    },
    dissyear = {
      csl = nil,
    },
    doi = {
      csl = "DOI",
      type = "verbatim",
    },
    dticnumber = {
      csl = nil,
    },
    dummy = {
      csl = nil,
    },
    edition = {
      csl = "edition",
      type = "literal",
    },
    editor = {
      csl = "editor",
      type = "name",
    },
    editora = {
      csl = nil,
      type = "name",
    },
    editoratype = {
      csl = nil,
      type = "key",
    },
    editorb = {
      csl = nil,
      type = "name",
    },
    editorbtype = {
      csl = nil,
      type = "key",
    },
    editorc = {
      csl = nil,
      type = "name",
    },
    editorctype = {
      csl = nil,
      type = "key",
    },
    editortype = {
      csl = nil,
      type = "key",
    },
    eid = {
      csl = nil,
      type = "literal",
    },
    email = {
      csl = nil,
    },
    endnumber = {
      csl = nil,
    },
    endvolume = {
      csl = nil,
    },
    endyear = {
      csl = nil,
    },
    englishtitle = {
      csl = nil,
    },
    entryset = {
      csl = nil,
      type = "entrykey",
    },
    entrysubtype = {
      csl = nil,
      type = "literal",
    },
    epilog = {
      csl = nil,
    },
    eprint = {
      csl = nil,
      type = "verbatim",
    },
    eprintclass = {
      csl = nil,
      type = "literal",
    },
    eprints = {
      csl = nil,
    },
    eprinttype = {
      csl = "archive",
      type = "literal",
    },
    erratumeid = {
      csl = nil,
    },
    erratumgermanpages = {
      csl = nil,
    },
    erratumnumpages = {
      csl = nil,
    },
    erratumpages = {
      csl = nil,
    },
    erratumvolume = {
      csl = nil,
    },
    erratumyear = {
      csl = nil,
    },
    eventdate = {
      csl = "event-date",
      type = "date",
    },
    eventtitle = {
      csl = "event-title",
      type = "literal",
    },
    eventtitleaddon = {
      csl = nil,
      type = "literal",
    },
    eventyear = {
      csl = nil,
    },
    execute = {
      csl = nil,
      type = "code",
    },
    faddress = {
      csl = nil,
    },
    fakeset = {
      csl = nil,
    },
    fax = {
      csl = nil,
    },
    file = {
      csl = nil,
      type = "verbatim",
    },
    firstkey = {
      csl = nil,
    },
    fjournal = {
      csl = nil,
    },
    flanguage = {
      csl = nil,
    },
    font = {
      csl = nil,
    },
    foreword = {
      csl = nil,
      type = "name",
    },
    founder = {
      csl = nil,
    },
    fpublisher = {
      csl = nil,
    },
    ftitle = {
      csl = nil,
    },
    furtherresp = {
      csl = nil,
    },
    fyear = {
      csl = nil,
    },
    gender = {
      csl = nil,
      type = "literal",
    },
    germanpages = {
      csl = nil,
    },
    group = {
      csl = nil,
    },
    heading = {
      csl = nil,
    },
    hereafter = {
      csl = nil,
    },
    holder = {
      csl = nil,
      type = "name",
    },
    howcited = {
      csl = nil,
    },
    howpublished = {
      csl = nil,
      type = "literal",
    },
    hyphenation = {
      csl = "language",
      type = "literal",
    },
    ids = {
      csl = nil,
      type = "entrykey",
    },
    illustrated = {
      csl = nil,
    },
    illustrations = {
      csl = nil,
    },
    illustrator = {
      csl = nil,
    },
    indexsorttitle = {
      csl = nil,
      type = "literal",
    },
    indextitle = {
      csl = nil,
      type = "literal",
    },
    institution = {
      csl = "publisher",
      type = "literal",
    },
    introduction = {
      csl = nil,
      type = "name",
    },
    intype = {
      csl = nil,
    },
    inventor = {
      csl = nil,
    },
    ipc = {
      csl = nil,
    },
    isan = {
      csl = nil,
      type = "literal",
    },
    isbn = {
      csl = "ISBN",
      type = "literal",
    },
    ismn = {
      csl = nil,
      type = "literal",
    },
    ["iso-abbreviation"] = {
      csl = nil,
    },
    ["iso-author-punctuation"] = {
      csl = nil,
    },
    ["iso-date-place"] = {
      csl = nil,
    },
    isrn = {
      csl = nil,
      type = "literal",
    },
    issn = {
      csl = "ISSN",
      type = "literal",
    },
    issue = {
      csl = "issue",
      type = "literal",
    },
    issuesubtitle = {
      csl = nil,
      type = "literal",
    },
    issuetitle = {
      csl = nil,
      type = "literal",
    },
    issuetitleaddon = {
      csl = nil,
      type = "literal",
    },
    iswc = {
      csl = nil,
      type = "literal",
    },
    jfmnumber = {
      csl = nil,
    },
    journal = {
      csl = "container-title",
      type = "literal",
    },
    journalsubtitle = {
      csl = nil,
      type = "literal",
    },
    journaltie = {
      csl = nil,
    },
    journaltitle = {
      csl = "container-title",
      type = "literal",
    },
    journaltitleaddon = {
      csl = nil,
      type = "literal",
    },
    juraauthor = {
      csl = nil,
    },
    juratitle = {
      csl = nil,
    },
    key = {
      csl = nil,
      type = "literal",
    },
    keywords = {
      csl = nil,
      type = "keyword",
    },
    label = {
      csl = nil,
      type = "literal",
    },
    lang = {
      csl = nil,
    },
    langid = {
      csl = "language",
      type = "literal",
    },
    langidopts = {
      csl = nil,
      type = "literal",
    },
    language = {
      csl = nil,
      type = "key",
    },
    lastaccessed = {
      csl = "accessed",
    },
    lastchecked = {
      csl = "accessed",
    },
    lccn = {
      csl = nil,
    },
    library = {
      csl = nil,
      type = "literal",
    },
    lista = {
      csl = nil,
      type = "literal",
    },
    listb = {
      csl = nil,
      type = "literal",
    },
    listc = {
      csl = nil,
      type = "literal",
    },
    listd = {
      csl = nil,
      type = "literal",
    },
    liste = {
      csl = nil,
      type = "literal",
    },
    listf = {
      csl = nil,
      type = "literal",
    },
    littype = {
      csl = nil,
    },
    location = {
      csl = "publisher-place",
      type = "literal",
    },
    madadurltest = {
      csl = nil,
    },
    main = {
      csl = nil,
    },
    main1 = {
      csl = nil,
    },
    mainsubtitle = {
      csl = nil,
      type = "literal",
    },
    maintitle = {
      csl = nil,
      type = "literal",
    },
    maintitleaddon = {
      csl = nil,
      type = "literal",
    },
    majorcode = {
      csl = nil,
    },
    marginnote = {
      csl = nil,
    },
    mark = {
      csl = nil,
    },
    ["max.best.papers"] = {
      csl = nil,
    },
    mcitetail = {
      csl = nil,
    },
    media = {
      csl = "medium",
    },
    medium = {
      csl = "medium",
    },
    meeting = {
      csl = nil,
    },
    misctitle = {
      csl = nil,
    },
    miscyear = {
      csl = nil,
    },
    mobile = {
      csl = nil,
    },
    modifydate = {
      csl = nil,
    },
    month = {
      csl = nil,
      type = "literal",
    },
    monthfiled = {
      csl = nil,
    },
    mrnumber = {
      csl = nil,
    },
    name = {
      csl = nil,
    },
    namea = {
      csl = nil,
      type = "name",
    },
    nameaddon = {
      csl = nil,
      type = "literal",
    },
    nameatype = {
      csl = nil,
      type = "key",
    },
    nameb = {
      csl = nil,
      type = "name",
    },
    namebtype = {
      csl = nil,
      type = "key",
    },
    namec = {
      csl = nil,
      type = "name",
    },
    namectype = {
      csl = nil,
      type = "key",
    },
    nationality = {
      csl = nil,
    },
    nbirthday = {
      csl = nil,
    },
    newpage = {
      csl = nil,
    },
    newspaper = {
      csl = "container-title",
    },
    nickname = {
      csl = nil,
    },
    nihms = {
      csl = nil,
    },
    noed = {
      csl = nil,
    },
    nolink = {
      csl = nil,
    },
    normal = {
      csl = nil,
    },
    normalauthor = {
      csl = nil,
    },
    normaleditor = {
      csl = nil,
    },
    note = {
      csl = "note",
      type = "literal",
    },
    nowarning = {
      csl = nil,
    },
    number = {
      csl = "number",
      type = "literal",
    },
    numpages = {
      csl = nil,
    },
    oaddress = {
      csl = nil,
    },
    options = {
      csl = nil,
      type = "option",
    },
    opublisher = {
      csl = nil,
    },
    ["org-short"] = {
      csl = nil,
    },
    organization = {
      csl = "publisher",
      type = "literal",
    },
    origdate = {
      csl = "original-date",
      type = "date",
    },
    originaladdress = {
      csl = "original-publisher-place",
    },
    originalbooktitle = {
      csl = nil,
    },
    originaledition = {
      csl = nil,
    },
    originaleditor = {
      csl = nil,
    },
    originaljournal = {
      csl = nil,
    },
    originalnumber = {
      csl = nil,
    },
    originalpages = {
      csl = nil,
    },
    originalpublisher = {
      csl = "original-publisher",
    },
    originalvolume = {
      csl = nil,
    },
    originalyear = {
      csl = "original-date",
    },
    origlanguage = {
      csl = nil,
      type = "key",
    },
    origlocation = {
      csl = "original-publisher-place",
      type = "literal",
    },
    origpublisher = {
      csl = "original-publisher",
      type = "literal",
    },
    origtitle = {
      csl = "original-title",
      type = "literal",
    },
    oyear = {
      csl = nil,
    },
    pagename = {
      csl = nil,
    },
    pages = {
      csl = "page",
      type = "range",
    },
    pagetotal = {
      csl = "number-of-pages",
      type = "literal",
    },
    pagination = {
      csl = nil,
      type = "key",
    },
    paper = {
      csl = nil,
    },
    part = {
      csl = "part",
      type = "literal",
    },
    patentid = {
      csl = nil,
    },
    pdf = {
      csl = nil,
      type = "verbatim",
    },
    phone = {
      csl = nil,
    },
    pid = {
      csl = nil,
    },
    pii = {
      csl = nil,
    },
    pmcid = {
      csl = "PMCID",
    },
    prebibitem = {
      csl = nil,
    },
    preface = {
      csl = nil,
    },
    preprint = {
      csl = nil,
    },
    presort = {
      csl = nil,
      type = "literal",
    },
    price = {
      csl = nil,
    },
    primaryclass = {
      csl = nil,
      type = "literal",
    },
    printing = {
      csl = nil,
    },
    prioritycountry = {
      csl = nil,
    },
    prioritydate = {
      csl = nil,
    },
    prioritynumber = {
      csl = nil,
    },
    pseudonym = {
      csl = nil,
    },
    publication = {
      csl = nil,
    },
    publicationdate = {
      csl = nil,
    },
    publisher = {
      csl = "publisher",
      type = "literal",
    },
    pubmed = {
      csl = "PMID",
    },
    pubstate = {
      csl = nil,
      type = "key",
    },
    related = {
      csl = nil,
      type = "entrykey",
    },
    relatedoptions = {
      csl = nil,
      type = "option",
    },
    relatedstring = {
      csl = nil,
      type = "literal",
    },
    relatedtype = {
      csl = nil,
      type = "literal",
    },
    ["reprinted-from"] = {
      csl = nil,
    },
    ["reprinted-text"] = {
      csl = nil,
    },
    reprinttitle = {
      csl = nil,
      type = "literal",
    },
    requestdate = {
      csl = nil,
    },
    requestnumber = {
      csl = nil,
    },
    responsible = {
      csl = nil,
    },
    review = {
      csl = nil,
    },
    revision = {
      csl = nil,
    },
    school = {
      csl = "publisher",
      type = "literal",
    },
    score = {
      csl = nil,
    },
    section = {
      csl = nil,
    },
    series = {
      csl = "collection-title",
      type = "literal",
    },
    seriesedition = {
      csl = nil,
    },
    short = {
      csl = nil,
    },
    shortarchive = {
      csl = nil,
    },
    shortauthor = {
      csl = nil,
      type = "name",
    },
    shorteditor = {
      csl = nil,
      type = "name",
    },
    shorthand = {
      csl = nil,
      type = "literal",
    },
    shorthandintro = {
      csl = nil,
      type = "literal",
    },
    shortjournal = {
      csl = "container-title-short",
      type = "literal",
    },
    shortseries = {
      csl = nil,
      type = "literal",
    },
    shortsubarchive = {
      csl = nil,
    },
    shorttitle = {
      csl = "title-short",
      type = "literal",
    },
    shorturl = {
      csl = nil,
    },
    sig1 = {
      csl = nil,
    },
    sig2 = {
      csl = nil,
    },
    sig3 = {
      csl = nil,
    },
    sig4 = {
      csl = nil,
    },
    size = {
      csl = nil,
    },
    slaccitation = {
      csl = nil,
    },
    ["sort-short"] = {
      csl = nil,
    },
    ["sort-word"] = {
      csl = nil,
    },
    sortas = {
      csl = nil,
    },
    sortkey = {
      csl = nil,
      type = "literal",
    },
    sortname = {
      csl = nil,
      type = "name",
    },
    sortshorthand = {
      csl = nil,
      type = "literal",
    },
    sorttitle = {
      csl = nil,
      type = "literal",
    },
    sortyear = {
      csl = nil,
      type = "integer",
    },
    source1 = {
      csl = nil,
    },
    specialitycode = {
      csl = nil,
    },
    ssedition = {
      csl = nil,
    },
    standard = {
      csl = nil,
    },
    startnumber = {
      csl = nil,
    },
    startvolume = {
      csl = nil,
    },
    startyear = {
      csl = nil,
    },
    state = {
      csl = nil,
    },
    status = {
      csl = nil,
    },
    stdcode = {
      csl = nil,
    },
    stitle = {
      csl = nil,
    },
    street = {
      csl = nil,
    },
    subarchive = {
      csl = nil,
    },
    subtitle = {
      csl = nil,
      type = "literal",
    },
    symposium = {
      csl = nil,
    },
    text = {
      csl = nil,
    },
    timestamp = {
      csl = nil,
    },
    title = {
      csl = "title",
      type = "literal",
    },
    titleaddon = {
      csl = nil,
      type = "literal",
    },
    titlenote = {
      csl = nil,
    },
    totalpages = {
      csl = nil,
    },
    transissue = {
      csl = nil,
    },
    transjournal = {
      csl = nil,
    },
    translation = {
      csl = nil,
    },
    translator = {
      csl = "translator",
      type = "name",
    },
    transnumber = {
      csl = nil,
    },
    transpages = {
      csl = nil,
    },
    transsection = {
      csl = nil,
    },
    transvolume = {
      csl = nil,
    },
    transyear = {
      csl = nil,
    },
    type = {
      csl = "genre",
      type = "key",
    },
    typeoflit = {
      csl = nil,
    },
    umfnumber = {
      csl = nil,
    },
    updated = {
      csl = nil,
    },
    url = {
      csl = "URL",
      type = "uri",
    },
    urlaccessdate = {
      csl = "accessed",
    },
    urldate = {
      csl = "accessed",
      type = "date",
    },
    urlnewline = {
      csl = nil,
    },
    urltype = {
      csl = nil,
    },
    urlyear = {
      csl = nil,
    },
    urn = {
      csl = nil,
    },
    usera = {
      csl = nil,
      type = "literal",
    },
    userb = {
      csl = nil,
      type = "literal",
    },
    userc = {
      csl = nil,
      type = "literal",
    },
    userd = {
      csl = nil,
      type = "literal",
    },
    usere = {
      csl = nil,
      type = "literal",
    },
    userf = {
      csl = nil,
      type = "literal",
    },
    value = {
      csl = nil,
    },
    venue = {
      csl = "event-place",
      type = "literal",
    },
    verba = {
      csl = nil,
      type = "verbatim",
    },
    verbb = {
      csl = nil,
      type = "verbatim",
    },
    verbc = {
      csl = nil,
      type = "verbatim",
    },
    version = {
      csl = "version",
      type = "literal",
    },
    versiontype = {
      csl = nil,
    },
    volformat = {
      csl = nil,
    },
    volume = {
      csl = "volume",
      type = "integer",
    },
    volumes = {
      csl = "number-of-volumes",
      type = "integer",
    },
    volumetitle = {
      csl = nil,
    },
    word = {
      csl = nil,
    },
    xdata = {
      csl = nil,
      type = "entrykey",
    },
    xid = {
      csl = nil,
    },
    xref = {
      csl = nil,
      type = "entrykey",
    },
    year = {
      csl = nil,
      type = "date",
    },
    ["year-presented"] = {
      csl = nil,
    },
    yearcomp = {
      csl = nil,
    },
    yearfiled = {
      csl = nil,
    },
    zblnumber = {
      csl = nil,
    },
    zip = {
      csl = nil,
    },
  },
  macros = {
    jan = {
      value = "1",
    },
    feb = {
      value = "2",
    },
    mar = {
      value = "3",
    },
    apr = {
      value = "4",
    },
    may = {
      value = "5",
    },
    jun = {
      value = "6",
    },
    jul = {
      value = "7",
    },
    aug = {
      value = "8",
    },
    sep = {
      value = "9",
    },
    oct = {
      value = "10",
    },
    nov = {
      value = "11",
    },
    dec = {
      value = "12",
    },
    acmcs = {
      value = "ACM Computing Surveys",
    },
    acta = {
      value = "Acta Informatica",
    },
    cacm = {
      value = "Communications of the ACM",
    },
    ibmjrd = {
      value = "IBM Journal of Research and Development",
    },
    ibmsj = {
      value = "IBM Systems Journal",
    },
    ieeese = {
      value = "IEEE Transactions on Software Engineering",
    },
    ieeetc = {
      value = "IEEE Transactions on Computers",
    },
    ieeetcad = {
      value = "IEEE Transactions on Computer-Aided Design of Integrated Circuits",
    },
    ipl = {
      value = "Information Processing Letters",
    },
    jacm = {
      value = "Journal of the ACM",
    },
    jcss = {
      value = "Journal of Computer and System Sciences",
    },
    scp = {
      value = "Science of Computer Programming",
    },
    sicomp = {
      value = "SIAM Journal on Computing",
    },
    tocs = {
      value = "ACM Transactions on Computer Systems",
    },
    tods = {
      value = "ACM Transactions on Database Systems",
    },
    tog = {
      value = "ACM Transactions on Graphics",
    },
    toms = {
      value = "ACM Transactions on Mathematical Software",
    },
    toois = {
      value = "ACM Transactions on Office Information Systems",
    },
    toplas = {
      value = "ACM Transactions on Programming Languages and Systems",
    },
    tcs = {
      value = "Theoretical Computer Science",
    },
  },
  language_code_map = {
    acadian = "fr-CA",
    afrikaans = "af-ZA",
    albanian = "sq-AL",
    american = "en-US",
    amharic = "am-ET",
    arabic = "ar",
    armenian = "hy-AM",
    australian = "en-AU",
    austrian = "de-AT",
    bahasa = "id-ID",
    bahasai = "id-ID",
    bahasam = "id-ID",
    basque = "eu-ES",
    bengali = "bn-BD",
    bgreek = "el-GR",
    brazil = "pt-BR",
    brazilian = "pt-BR",
    breton = "br-FR",
    british = "en-GB",
    bulgarian = "bg-BG",
    canadian = "en-CA",
    canadien = "fr-CA",
    catalan = "ca-AD",
    chinese = "zh",
    croatian = "hr-HR",
    czech = "cs-CZ",
    danish = "da-DK",
    divehi = "dv-MV",
    dutch = "nl-NL",
    english = "en-US",
    esperanto = "eo",
    estonian = "et-EE",
    ethiopia = "am-ET",
    farsi = "fa-IR",
    finnish = "fi-FI",
    francais = "fr-FR",
    french = "fr-FR",
    frenchle = "fr-FR",
    galician = "gl-ES",
    german = "de-DE",
    germanb = "de-DE",
    greek = "el-GR",
    hebrew = "he-IL",
    hindi = "hi-IN",
    ibygreek = "el-CY",
    icelandic = "is-IS",
    indon = "id-ID",
    indonesia = "id-ID",
    interlingua = "ia-FR",
    irish = "ga-IE",
    italian = "it-IT",
    japanese = "ja-JP",
    kannada = "kn-IN",
    lao = "lo-LA",
    latin = "la",
    latvian = "lv-LV",
    lithuanian = "lt-LT",
    magyar = "hu-HU",
    malay = "id-ID",
    malayalam = "ml-IN",
    marathi = "mr-IN",
    meyalu = "id-ID",
    mongolian = "mn",
    naustrian = "de-AT",
    newzealand = "en-NZ",
    ngerman = "de-DE",
    nko = "ha-NG",
    norsk = "nb-NO",
    norwegian = "nn-NO",
    nswissgerman = "de-CH",
    nynorsk = "nn-NO",
    occitan = "oc-FR",
    polish = "pl-PL",
    polutonikogreek = "el-GR",
    portuges = "pt-PT",
    portuguese = "pt-PT",
    romanian = "ro-RO",
    romansh = "rm-CH",
    russian = "ru-RU",
    samin = "se-NO",
    sanskrit = "sa-IN",
    scottish = "gd-GB",
    serbian = "sr",
    slovak = "sk-SK",
    slovene = "sl-SI",
    slovenian = "sl-SI",
    spanish = "es-ES",
    swedish = "sv-SE",
    swiss = "de-CH",
    swissgerman = "de-CH",
    tamil = "ta-IN",
    telugu = "te-IN",
    thai = "th-TH",
    thaicjk = "th-TH",
    tibetan = "bo-CN",
    turkish = "tr-TR",
    turkmen = "tk-TM",
    UKenglish = "en-GB",
    ukrainian = "uk-UA",
    urdu = "ur-IN",
    USenglish = "en-US",
    vietnamese = "vi-VN",
    welsh = "cy-GB",
  },
  unicode = {
    ["005C"] = "\\textbackslash",
    ["00A0"] = "\\nobreakspace",
    ["00A1"] = "\\textexclamdown",
    ["00A2"] = "\\textcent",
    ["00A3"] = "\\textsterling",
    ["00A4"] = "\\textcurrency",
    ["00A5"] = "\\textyen",
    ["00A6"] = "\\textbrokenbar",
    ["00A7"] = "\\textsection",
    ["00A8"] = "\\textasciidieresis",
    ["00A9"] = "\\textcopyright",
    ["00AA"] = "\\textordfeminine",
    ["00AB"] = "\\guillemetleft",
    ["00AC"] = "\\textlnot",
    ["00AD"] = "\\-",
    ["00AE"] = "\\textregistered",
    ["00AF"] = "\\textasciimacron",
    ["00B0"] = "\\textdegree",
    ["00B1"] = "\\textpm",
    ["00B2"] = "\\texttwosuperior",
    ["00B3"] = "\\textthreesuperior",
    ["00B4"] = "\\textasciiacute",
    ["00B5"] = "\\textmu",
    ["00B6"] = "\\textparagraph",
    ["00B7"] = "\\textperiodcentered",
    ["00B8"] = "\\c\\ ",
    ["00B9"] = "\\textonesuperior",
    ["00BA"] = "\\textordmasculine",
    ["00BB"] = "\\guillemetright",
    ["00BC"] = "\\textonequarter",
    ["00BD"] = "\\textonehalf",
    ["00BE"] = "\\textthreequarters",
    ["00BF"] = "\\textquestiondown",
    ["00C0"] = "\\`A",
    ["00C1"] = "\\'A",
    ["00C2"] = "\\^A",
    ["00C3"] = "\\~A",
    ["00C4"] = "\\\"A",
    ["00C5"] = "\\r A",
    ["00C6"] = "\\AE",
    ["00C7"] = "\\c C",
    ["00C8"] = "\\`E",
    ["00C9"] = "\\'E",
    ["00CA"] = "\\^E",
    ["00CB"] = "\\\"E",
    ["00CC"] = "\\`I",
    ["00CD"] = "\\'I",
    ["00CE"] = "\\^I",
    ["00CF"] = "\\\"I",
    ["00D0"] = "\\DH",
    ["00D1"] = "\\~N",
    ["00D2"] = "\\`O",
    ["00D3"] = "\\'O",
    ["00D4"] = "\\^O",
    ["00D5"] = "\\~O",
    ["00D6"] = "\\\"O",
    ["00D7"] = "\\texttimes",
    ["00D8"] = "\\O",
    ["00D9"] = "\\`U",
    ["00DA"] = "\\'U",
    ["00DB"] = "\\^U",
    ["00DC"] = "\\\"U",
    ["00DD"] = "\\'Y",
    ["00DE"] = "\\TH",
    ["00DF"] = "\\ss",
    ["00E0"] = "\\`a",
    ["00E1"] = "\\'a",
    ["00E2"] = "\\^a",
    ["00E3"] = "\\~a",
    ["00E4"] = "\\\"a",
    ["00E5"] = "\\r a",
    ["00E6"] = "\\ae",
    ["00E7"] = "\\c c",
    ["00E8"] = "\\`e",
    ["00E9"] = "\\'e",
    ["00EA"] = "\\^e",
    ["00EB"] = "\\\"e",
    ["00EC"] = "\\`\\i",
    ["00ED"] = "\\'\\i",
    ["00EE"] = "\\^\\i",
    ["00EF"] = "\\\"\\i",
    ["00F0"] = "\\dh",
    ["00F1"] = "\\~n",
    ["00F2"] = "\\`o",
    ["00F3"] = "\\'o",
    ["00F4"] = "\\^o",
    ["00F5"] = "\\~o",
    ["00F6"] = "\\\"o",
    ["00F7"] = "\\textdiv",
    ["00F8"] = "\\o",
    ["00F9"] = "\\`u",
    ["00FA"] = "\\'u",
    ["00FB"] = "\\^u",
    ["00FC"] = "\\\"u",
    ["00FD"] = "\\'y",
    ["00FE"] = "\\th",
    ["00FF"] = "\\\"y",
    ["0100"] = "\\=A",
    ["0101"] = "\\=a",
    ["0102"] = "\\u A",
    ["0103"] = "\\u a",
    ["0104"] = "\\k A",
    ["0105"] = "\\k a",
    ["0106"] = "\\'C",
    ["0107"] = "\\'c",
    ["0108"] = "\\^C",
    ["0109"] = "\\^c",
    ["010A"] = "\\.C",
    ["010B"] = "\\.c",
    ["010C"] = "\\v C",
    ["010D"] = "\\v c",
    ["010E"] = "\\v D",
    ["010F"] = "\\v d",
    ["0110"] = "\\DJ",
    ["0111"] = "\\dj",
    ["0112"] = "\\=E",
    ["0113"] = "\\=e",
    ["0114"] = "\\u E",
    ["0115"] = "\\u e",
    ["0116"] = "\\.E",
    ["0117"] = "\\.e",
    ["0118"] = "\\k E",
    ["0119"] = "\\k e",
    ["011A"] = "\\v E",
    ["011B"] = "\\v e",
    ["011C"] = "\\^G",
    ["011D"] = "\\^g",
    ["011E"] = "\\u G",
    ["011F"] = "\\u g",
    ["0120"] = "\\.G",
    ["0121"] = "\\.g",
    ["0122"] = "\\c G",
    ["0123"] = "\\c g",
    ["0124"] = "\\^H",
    ["0125"] = "\\^h",
    ["0128"] = "\\~I",
    ["0129"] = "\\~\\i",
    ["012A"] = "\\=I",
    ["012B"] = "\\=\\i",
    ["012C"] = "\\u I",
    ["012D"] = "\\u\\i",
    ["012E"] = "\\k I",
    ["012F"] = "\\k i",
    ["0130"] = "\\.I",
    ["0131"] = "\\i",
    ["0132"] = "\\IJ",
    ["0133"] = "\\ij",
    ["0134"] = "\\^J",
    ["0135"] = "\\^\\j",
    ["0136"] = "\\c K",
    ["0137"] = "\\c k",
    ["0139"] = "\\'L",
    ["013A"] = "\\'l",
    ["013B"] = "\\c L",
    ["013C"] = "\\c l",
    ["013D"] = "\\v L",
    ["013E"] = "\\v l",
    ["0141"] = "\\L",
    ["0142"] = "\\l",
    ["0143"] = "\\'N",
    ["0144"] = "\\'n",
    ["0145"] = "\\c N",
    ["0146"] = "\\c n",
    ["0147"] = "\\v N",
    ["0148"] = "\\v n",
    ["014A"] = "\\NG",
    ["014B"] = "\\ng",
    ["014C"] = "\\=O",
    ["014D"] = "\\=o",
    ["014E"] = "\\u O",
    ["014F"] = "\\u o",
    ["0150"] = "\\H O",
    ["0151"] = "\\H o",
    ["0152"] = "\\OE",
    ["0153"] = "\\oe",
    ["0154"] = "\\'R",
    ["0155"] = "\\'r",
    ["0156"] = "\\c R",
    ["0157"] = "\\c r",
    ["0158"] = "\\v R",
    ["0159"] = "\\v r",
    ["015A"] = "\\'S",
    ["015B"] = "\\'s",
    ["015C"] = "\\^S",
    ["015D"] = "\\^s",
    ["015E"] = "\\c S",
    ["015F"] = "\\c s",
    ["0160"] = "\\v S",
    ["0161"] = "\\v s",
    ["0162"] = "\\c T",
    ["0163"] = "\\c t",
    ["0164"] = "\\v T",
    ["0165"] = "\\v t",
    ["0168"] = "\\~U",
    ["0169"] = "\\~u",
    ["016A"] = "\\=U",
    ["016B"] = "\\=u",
    ["016C"] = "\\u U",
    ["016D"] = "\\u u",
    ["016E"] = "\\r U",
    ["016F"] = "\\r u",
    ["0170"] = "\\H U",
    ["0171"] = "\\H u",
    ["0172"] = "\\k U",
    ["0173"] = "\\k u",
    ["0174"] = "\\^W",
    ["0175"] = "\\^w",
    ["0176"] = "\\^Y",
    ["0177"] = "\\^y",
    ["0178"] = "\\\"Y",
    ["0179"] = "\\'Z",
    ["017A"] = "\\'z",
    ["017B"] = "\\.Z",
    ["017C"] = "\\.z",
    ["017D"] = "\\v Z",
    ["017E"] = "\\v z",
    ["0192"] = "\\textflorin",
    ["01CD"] = "\\v A",
    ["01CE"] = "\\v a",
    ["01CF"] = "\\v I",
    ["01D0"] = "\\v \\i",
    ["01D1"] = "\\v O",
    ["01D2"] = "\\v o",
    ["01D3"] = "\\v U",
    ["01D4"] = "\\v u",
    ["01E2"] = "\\=\\AE",
    ["01E3"] = "\\=\\ae",
    ["01E6"] = "\\v G",
    ["01E7"] = "\\v g",
    ["01E8"] = "\\v K",
    ["01E9"] = "\\v k",
    ["01EA"] = "\\k O",
    ["01EB"] = "\\k o",
    ["01F0"] = "\\v\\j",
    ["01F4"] = "\\'G",
    ["01F5"] = "\\'g",
    ["0218"] = "\\textcommabelow S",
    ["0219"] = "\\textcommabelow s",
    ["021A"] = "\\textcommabelow T",
    ["021B"] = "\\textcommabelow t",
    ["0232"] = "\\=Y",
    ["0233"] = "\\=y",
    ["0237"] = "\\j",
    ["02C6"] = "\\textasciicircum",
    ["02C7"] = "\\textasciicaron",
    ["02D8"] = "\\textasciibreve",
    ["02D9"] = "\\.{}",
    ["02DB"] = "\\k{}",
    ["02DC"] = "\\textasciitilde",
    ["02DD"] = "\\textacutedbl",
    ["0E3F"] = "\\textbaht",
    ["1E02"] = "\\.B",
    ["1E03"] = "\\.b",
    ["1E0D"] = "\\d d",
    ["1E1E"] = "\\.F",
    ["1E1F"] = "\\.f",
    ["1E20"] = "\\=G",
    ["1E21"] = "\\=g",
    ["1E25"] = "\\d h",
    ["1E30"] = "\\'K",
    ["1E31"] = "\\'k",
    ["1E37"] = "\\d l",
    ["1E43"] = "\\d m",
    ["1E45"] = "\\.n",
    ["1E47"] = "\\d n",
    ["1E5B"] = "\\d r",
    ["1E63"] = "\\d s",
    ["1E6D"] = "\\d t",
    ["1E8E"] = "\\.Y",
    ["1E8F"] = "\\.y",
    ["1E90"] = "\\^Z",
    ["1E91"] = "\\^z",
    ["1E9E"] = "\\SS",
    ["1EF2"] = "\\`Y",
    ["1EF3"] = "\\`y",
    ["2003"] = "\\quad",
    ["200C"] = "\\textcompwordmark",
    ["2011"] = "\\mbox{-}",
    ["2012"] = "\\textendash",
    ["2013"] = "\\textendash",
    ["2014"] = "\\textemdash",
    ["2015"] = "\\textemdash",
    ["2016"] = "\\textbardbl",
    ["2018"] = "\\textquoteleft",
    ["2019"] = "\\textquoteright",
    ["201A"] = "\\quotesinglbase",
    ["201C"] = "\\textquotedblleft",
    ["201D"] = "\\textquotedblright",
    ["201E"] = "\\quotedblbase",
    ["2020"] = "\\textdagger",
    ["2021"] = "\\textdaggerdbl",
    ["2022"] = "\\textbullet",
    ["2026"] = "\\textellipsis",
    ["2030"] = "\\textperthousand",
    ["2031"] = "\\textpertenthousand",
    ["2039"] = "\\guilsinglleft",
    ["203A"] = "\\guilsinglright",
    ["203B"] = "\\textreferencemark",
    ["203D"] = "\\textinterrobang",
    ["2044"] = "\\textfractionsolidus",
    ["204E"] = "\\textasteriskcentered",
    ["2052"] = "\\textdiscount",
    ["20A1"] = "\\textcolonmonetary",
    ["20A4"] = "\\textlira",
    ["20A6"] = "\\textnaira",
    ["20A9"] = "\\textwon",
    ["20AB"] = "\\textdong",
    ["20AC"] = "\\texteuro",
    ["20B1"] = "\\textpeso",
    ["2103"] = "\\textcelsius",
    ["2116"] = "\\textnumero",
    ["2117"] = "\\textcircledP",
    ["211E"] = "\\textrecipe",
    ["2120"] = "\\textservicemark",
    ["2122"] = "\\texttrademark",
    ["2126"] = "\\textohm",
    ["2127"] = "\\textmho",
    ["212E"] = "\\textestimated",
    ["2190"] = "\\textleftarrow",
    ["2191"] = "\\textuparrow",
    ["2192"] = "\\textrightarrow",
    ["2193"] = "\\textdownarrow",
    ["2329"] = "\\textlangle",
    ["232A"] = "\\textrangle",
    ["2422"] = "\\textblank",
    ["2423"] = "\\textvisiblespace",
    ["25E6"] = "\\textopenbullet",
    ["25EF"] = "\\textbigcircle",
    ["266A"] = "\\textmusicalnote",
    ["27E8"] = "\\textlangle",
    ["27E9"] = "\\textrangle",
    ["3008"] = "\\textlangle",
    ["3009"] = "\\textrangle",
    FEFF = "\\nobreak",
  },
  unicode_commands = {
    ["\\\""] = {
      A = "00C4",
      E = "00CB",
      I = "00CF",
      O = "00D6",
      U = "00DC",
      Y = "0178",
      ["\\i"] = "00EF",
      a = "00E4",
      e = "00EB",
      i = "00EF",
      o = "00F6",
      u = "00FC",
      y = "00FF",
    },
    ["\\'"] = {
      A = "00C1",
      C = "0106",
      E = "00C9",
      G = "01F4",
      I = "00CD",
      K = "1E30",
      L = "0139",
      N = "0143",
      O = "00D3",
      R = "0154",
      S = "015A",
      U = "00DA",
      Y = "00DD",
      Z = "0179",
      ["\\i"] = "00ED",
      a = "00E1",
      c = "0107",
      e = "00E9",
      g = "01F5",
      i = "00ED",
      k = "1E31",
      l = "013A",
      n = "0144",
      o = "00F3",
      r = "0155",
      s = "015B",
      u = "00FA",
      y = "00FD",
      z = "017A",
    },
    ["\\-"] = "00AD",
    ["\\."] = {
      B = "1E02",
      C = "010A",
      E = "0116",
      F = "1E1E",
      G = "0120",
      I = "0130",
      Y = "1E8E",
      Z = "017B",
      b = "1E03",
      c = "010B",
      e = "0117",
      f = "1E1F",
      g = "0121",
      n = "1E45",
      y = "1E8F",
      z = "017C",
      ["{}"] = "02D9",
    },
    ["\\="] = {
      A = "0100",
      E = "0112",
      G = "1E20",
      I = "012A",
      O = "014C",
      U = "016A",
      Y = "0232",
      ["\\AE"] = "01E2",
      ["\\ae"] = "01E3",
      ["\\i"] = "012B",
      a = "0101",
      e = "0113",
      g = "1E21",
      i = "012B",
      o = "014D",
      u = "016B",
      y = "0233",
    },
    ["\\AE"] = "00C6",
    ["\\DH"] = "00D0",
    ["\\DJ"] = "0110",
    ["\\H"] = {
      O = "0150",
      U = "0170",
      o = "0151",
      u = "0171",
    },
    ["\\IJ"] = "0132",
    ["\\L"] = "0141",
    ["\\NG"] = "014A",
    ["\\O"] = "00D8",
    ["\\OE"] = "0152",
    ["\\SS"] = "1E9E",
    ["\\TH"] = "00DE",
    ["\\^"] = {
      A = "00C2",
      C = "0108",
      E = "00CA",
      G = "011C",
      H = "0124",
      I = "00CE",
      J = "0134",
      O = "00D4",
      S = "015C",
      U = "00DB",
      W = "0174",
      Y = "0176",
      Z = "1E90",
      ["\\i"] = "00EE",
      ["\\j"] = "0135",
      a = "00E2",
      c = "0109",
      e = "00EA",
      g = "011D",
      h = "0125",
      i = "00EE",
      o = "00F4",
      s = "015D",
      u = "00FB",
      w = "0175",
      y = "0177",
      z = "1E91",
    },
    ["\\`"] = {
      A = "00C0",
      E = "00C8",
      I = "00CC",
      O = "00D2",
      U = "00D9",
      Y = "1EF2",
      ["\\i"] = "00EC",
      a = "00E0",
      e = "00E8",
      i = "00EC",
      o = "00F2",
      u = "00F9",
      y = "1EF3",
    },
    ["\\ae"] = "00E6",
    ["\\c"] = {
      C = "00C7",
      G = "0122",
      K = "0136",
      L = "013B",
      N = "0145",
      R = "0156",
      S = "015E",
      T = "0162",
      ["\\ "] = "00B8",
      c = "00E7",
      g = "0123",
      k = "0137",
      l = "013C",
      n = "0146",
      r = "0157",
      s = "015F",
      t = "0163",
    },
    ["\\d"] = {
      d = "1E0D",
      h = "1E25",
      l = "1E37",
      m = "1E43",
      n = "1E47",
      r = "1E5B",
      s = "1E63",
      t = "1E6D",
    },
    ["\\dh"] = "00F0",
    ["\\dj"] = "0111",
    ["\\guillemetleft"] = "00AB",
    ["\\guillemetright"] = "00BB",
    ["\\guilsinglleft"] = "2039",
    ["\\guilsinglright"] = "203A",
    ["\\i"] = "0131",
    ["\\ij"] = "0133",
    ["\\j"] = "0237",
    ["\\k"] = {
      A = "0104",
      E = "0118",
      I = "012E",
      O = "01EA",
      U = "0172",
      a = "0105",
      e = "0119",
      i = "012F",
      o = "01EB",
      u = "0173",
      ["{}"] = "02DB",
    },
    ["\\l"] = "0142",
    ["\\mbox"] = {
      ["{-}"] = "2011",
    },
    ["\\ng"] = "014B",
    ["\\nobreak"] = "FEFF",
    ["\\nobreakspace"] = "00A0",
    ["\\o"] = "00F8",
    ["\\oe"] = "0153",
    ["\\quad"] = "2003",
    ["\\quotedblbase"] = "201E",
    ["\\quotesinglbase"] = "201A",
    ["\\r"] = {
      A = "00C5",
      U = "016E",
      a = "00E5",
      u = "016F",
    },
    ["\\ss"] = "00DF",
    ["\\textacutedbl"] = "02DD",
    ["\\textasciiacute"] = "00B4",
    ["\\textasciibreve"] = "02D8",
    ["\\textasciicaron"] = "02C7",
    ["\\textasciicircum"] = "02C6",
    ["\\textasciidieresis"] = "00A8",
    ["\\textasciimacron"] = "00AF",
    ["\\textasciitilde"] = "02DC",
    ["\\textasteriskcentered"] = "204E",
    ["\\textbackslash"] = "005C",
    ["\\textbaht"] = "0E3F",
    ["\\textbardbl"] = "2016",
    ["\\textbigcircle"] = "25EF",
    ["\\textblank"] = "2422",
    ["\\textbrokenbar"] = "00A6",
    ["\\textbullet"] = "2022",
    ["\\textcelsius"] = "2103",
    ["\\textcent"] = "00A2",
    ["\\textcircledP"] = "2117",
    ["\\textcolonmonetary"] = "20A1",
    ["\\textcommabelow"] = {
      S = "0218",
      T = "021A",
      s = "0219",
      t = "021B",
    },
    ["\\textcompwordmark"] = "200C",
    ["\\textcopyright"] = "00A9",
    ["\\textcurrency"] = "00A4",
    ["\\textdagger"] = "2020",
    ["\\textdaggerdbl"] = "2021",
    ["\\textdegree"] = "00B0",
    ["\\textdiscount"] = "2052",
    ["\\textdiv"] = "00F7",
    ["\\textdong"] = "20AB",
    ["\\textdownarrow"] = "2193",
    ["\\textellipsis"] = "2026",
    ["\\textemdash"] = "2014",
    ["\\textendash"] = "2013",
    ["\\textestimated"] = "212E",
    ["\\texteuro"] = "20AC",
    ["\\textexclamdown"] = "00A1",
    ["\\textflorin"] = "0192",
    ["\\textfractionsolidus"] = "2044",
    ["\\textinterrobang"] = "203D",
    ["\\textlangle"] = "2329",
    ["\\textleftarrow"] = "2190",
    ["\\textlira"] = "20A4",
    ["\\textlnot"] = "00AC",
    ["\\textmho"] = "2127",
    ["\\textmu"] = "00B5",
    ["\\textmusicalnote"] = "266A",
    ["\\textnaira"] = "20A6",
    ["\\textnumero"] = "2116",
    ["\\textohm"] = "2126",
    ["\\textonehalf"] = "00BD",
    ["\\textonequarter"] = "00BC",
    ["\\textonesuperior"] = "00B9",
    ["\\textopenbullet"] = "25E6",
    ["\\textordfeminine"] = "00AA",
    ["\\textordmasculine"] = "00BA",
    ["\\textparagraph"] = "00B6",
    ["\\textperiodcentered"] = "00B7",
    ["\\textpertenthousand"] = "2031",
    ["\\textperthousand"] = "2030",
    ["\\textpeso"] = "20B1",
    ["\\textpm"] = "00B1",
    ["\\textquestiondown"] = "00BF",
    ["\\textquotedblleft"] = "201C",
    ["\\textquotedblright"] = "201D",
    ["\\textquoteleft"] = "2018",
    ["\\textquoteright"] = "2019",
    ["\\textrangle"] = "232A",
    ["\\textrecipe"] = "211E",
    ["\\textreferencemark"] = "203B",
    ["\\textregistered"] = "00AE",
    ["\\textrightarrow"] = "2192",
    ["\\textsection"] = "00A7",
    ["\\textservicemark"] = "2120",
    ["\\textsterling"] = "00A3",
    ["\\textthreequarters"] = "00BE",
    ["\\textthreesuperior"] = "00B3",
    ["\\texttimes"] = "00D7",
    ["\\texttrademark"] = "2122",
    ["\\texttwosuperior"] = "00B2",
    ["\\textuparrow"] = "2191",
    ["\\textvisiblespace"] = "2423",
    ["\\textwon"] = "20A9",
    ["\\textyen"] = "00A5",
    ["\\th"] = "00FE",
    ["\\u"] = {
      A = "0102",
      E = "0114",
      G = "011E",
      I = "012C",
      O = "014E",
      U = "016C",
      ["\\i"] = "012D",
      a = "0103",
      e = "0115",
      g = "011F",
      i = "012D",
      o = "014F",
      u = "016D",
    },
    ["\\v"] = {
      A = "01CD",
      C = "010C",
      D = "010E",
      E = "011A",
      G = "01E6",
      I = "01CF",
      K = "01E8",
      L = "013D",
      N = "0147",
      O = "01D1",
      R = "0158",
      S = "0160",
      T = "0164",
      U = "01D3",
      Z = "017D",
      ["\\i"] = "01D0",
      ["\\j"] = "01F0",
      a = "01CE",
      c = "010D",
      d = "010F",
      e = "011B",
      g = "01E7",
      i = "01D0",
      k = "01E9",
      l = "013E",
      n = "0148",
      o = "01D2",
      r = "0159",
      s = "0161",
      t = "0165",
      u = "01D4",
      z = "017E",
    },
    ["\\~"] = {
      A = "00C3",
      I = "0128",
      N = "00D1",
      O = "00D5",
      U = "0168",
      ["\\i"] = "0129",
      a = "00E3",
      i = "0129",
      n = "00F1",
      o = "00F5",
      u = "0169",
    },
  },
}
